//
// Created by Ht on 2019/8/12.
//

#ifndef JSONPROTOCOL_JRDPACTION_H
#define JSONPROTOCOL_JRDPACTION_H

#include <cstring>

#include <jebase/config.h>


#include <qlibc/qlibc.h>
#include "JRDpBaseObj.h"
using namespace std;

namespace jedp {
    class JE_API JRDpAction :
            public JRDpBaseObj{

    public:
        JRDpAction(const string &trans_action);
        unsigned char deTransfer(const unsigned char src, unsigned char transChar);
        unsigned char doTransfer(unsigned char src, unsigned char transChar);

    private:
        size_t transCmd = StringUtils::makeStrHash("xor");
    };

}


#endif //JSONPROTOCOL_JRDPACTION_H
